Endpoint referenceAlerts
Resolve or reopen an alert
PATCH
bearerAuthheader
AuthorizationBearer <token>API token created in Settings → API. Scopes are attached to the token; each operation lists its required scope in x-scope.
id*stringFormat
uuidorg_id?stringPartners only (orgs:manage): act on this child organization. May also be sent as org_id in JSON bodies.
Format
uuidapplication/json- body
status*stringValue in
"resolved""open"note?stringLength
length <= 1000Alert
application/json- response
id?stringFormat
uuidstore_id?stringFormat
uuidtype?stringchange_type?string|nullseverity?stringValue in
"critical""high""medium""low""info"status?stringValue in
"open""resolved"source?string|nullpage?string|nulldetails?|nullfingerprint?string|nulloccurrences?integersessions_count?integerfirst_seen_at?|Format
date-timelast_seen_at?|Format
date-timeresolved_at?|Format
date-timeresolved_by_label?string|nullnote?string|nullsnoozed_until?|Format
date-timeauto_resolved?booleancreated_at?stringFormat
date-timecurl -X PATCH "https://example.com/alerts/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "status": "resolved", "note": "False positive — new Pix key registered by finance." }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "store_id": "7fe87115-950c-4ae8-bd7e-970406bc9ac0", "type": "string", "change_type": "string", "severity": "critical", "status": "open", "source": "string", "page": "string", "details": {}, "fingerprint": "string", "occurrences": 0, "sessions_count": 0, "first_seen_at": "2019-08-24T14:15:22Z", "last_seen_at": "2019-08-24T14:15:22Z", "resolved_at": "2019-08-24T14:15:22Z", "resolved_by_label": "string", "note": "string", "snoozed_until": "2019-08-24T14:15:22Z", "auto_resolved": true, "created_at": "2019-08-24T14:15:22Z"}